Doomsday Engine - Feature #1141

Third-person view
2003-03-13 11:45 - skyjake

Status: Closed Start date: 2003-03-13
Priority: Normal % Done: 0%
Assignee:

Category:

Target version:

Description

Totally against the Doom feel, but a 3rd person view

might be a nice option anyway.

Labels: Gameplay

Related issues:

Related to Feature #1614: Improved demo recording and playback New 2014-04-19

History

#1 - 2003-03-27 17:24 - skyjake

(originally posted by anonymous SF.net user)
Logged In: NO

And, against original doom too, but what about the possibility
of choose the camera (rear view, top view, zoom...)

Even a top view without render the ceilings, like MageSlayer
or Expendable.

#2 - 2003-06-10 02:17 - papercut2
Logged In: YES
user_id=1566636

| think it's great, especially with how flexible the engine

is, | would like to set it to instantly go into 3rd person

when | die, rather than viewing through my eyes as | die.
(Like on Halo) But of course stay in first person while playing.

Would be nice for demoes too, no more tweaking around with
the spawning players and cameras and such. | can see by how
frustrating it looked to get that E1M1 demo done for

Ultimate Doom.

#3 - 2003-06-16 19:28 - noctrun

Logged In: YES
user_id=501315

great option for demo viewing (moving the camera round the

player you'll looking at etc) and a great feature for mod
developers

#4 - 2003-08-25 03:02 - skyjake
(originally posted by anonymous SF.net user)

Logged In: NO

Great idea. Not like the original, but again good for mod
makers, and a change of pace.

#5 - 2003-10-26 13:38 - skyjake

(originally posted by anonymous SF.net user)
Logged In: YES
user_id=615983

i think it's a good idea...i myself once thought of doing a
third-person mod, in side-scrolling fashion

#6 - 2006-08-02 04:24 - skyjake
(originally posted by anonymous SF.net user)

Logged In: YES
user_id=895184

For me, it isn't a good idea.... :-|
Third-Person-view (as Heretic Il) i do not like.... :-((
I'm not bought Heretic Il, for its Third-Person-view :-|

I'm surprise the priority for this thing is 5 and for the BOTS is
only 3! :-\

#7 - 2019-11-29 15:58 - skyjake

- Status changed from New to Closed

This kind of already exists. Try "viewmode" in the console. Of course, a proper 3rd person view would require more sophisticated logic for moving the
camera around so it doesn't obstruct gameplay.
